## deepin-anything-5.0.9-1.src.tar.gz

=== Makefile ===
VERSION := 0.0
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

all:
	sed 's|@@VERSION@@|$(VERSION)|g' debian/deepin-anything-dkms.dkms.in | tee debian/deepin-anything-dkms.dkms
	make -C library all
	cd server && qmake -makefile -nocache QMAKE_STRIP=: PREFIX=/usr LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) deepin-anything-server.pro && make all

install:
	mkdir -p $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	cp library/bin/release/* $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p $(DESTDIR)/usr/src/deepin-anything-$(VERSION)
	cp -r kernelmod/* $(DESTDIR)/usr/src/deepin-anything-$(VERSION)
	mkdir -p $(DESTDIR)/usr/lib/modules-load.d
	echo "vfs_monitor" | tee $(DESTDIR)/usr/lib/modules-load.d/anything.conf
	mkdir -p $(DESTDIR)/usr/include/deepin-anything
	cp -r library/inc/* $(DESTDIR)/usr/include/deepin-anything
	cp -r kernelmod/vfs_change_uapi.h $(DESTDIR)/usr/include/deepin-anything
	cp -r kernelmod/vfs_change_consts.h $(DESTDIR)/usr/include/deepin-anything
	make -C server install INSTALL_ROOT=$(DESTDIR)

clean:
	rm -f debian/deepin-anything-dkms.dkms
	make -C library clean

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgbase=deepin-anything
pkgname=(deepin-anything deepin-anything-dkms)
pkgver=5.0.9
_extramodules=extramodules-ARCH
pkgrel=1
pkgdesc="Deepin Anything file search tool"
arch=('x86_64')
url="https://github.com/linuxdeepin/deepin-anything"
license=('GPL3')
makedepends=('dtkcore' 'udisks2-qt5')
source=("https://github.com/linuxdeepin/deepin-anything/archive/$pkgver/$pkgname-$pkgver.tar.gz"
        deepin-anything-server.sysusers)
sha512sums=('d7038f900c7f6cf2af156ced0fab6bcd46bff347011acc34b5d355ae8f09efe3f323724b728fbfe9c8b961e238ceb7c81aaf45f2e446b5d9ce908e8c0a658c5b'
            '0ff6a6de1fbfb0c33eaac511b989da321a9e43ece92708af88aee34ad1a05e55572713b1290bc2705d70b91dc7bec4fb4abd3dc664a0abe01de27d88bd9e9c85')

prepare() {
  cd deepin-anything-$pkgver
  sed -i 's|^systemd_service.path.*|systemd_service.path = /usr/lib/systemd/system|' server/monitor/src/src.pro server/tool/tool.pro
}

build() {
  cd deepin-anything-$pkgver
  make VERSION=$pkgver
}

package_deepin-anything-dkms() {
  depends=('dkms')
  provides=('DEEPIN-ANYTHING-MODULE')
  conflicts=('DEEPIN-ANYTHING-MODULE')

  cd deepin-anything-$pkgver
  install -dm 755 "$pkgdir"/usr/src
  cp -r kernelmod "$pkgdir"/usr/src/deepin-anything-$pkgver
  install -m644 debian/deepin-anything-dkms.dkms "$pkgdir"/usr/src/deepin-anything-$pkgver/dkms.conf
}

package_deepin-anything() {
  depends=('DEEPIN-ANYTHING-MODULE' 'dtkcore' 'udisks2-qt5')
  groups=('deepin')

  cd deepin-anything-$pkgver
  make VERSION=$pkgver DESTDIR="$pkgdir" install
  rm -r "$pkgdir"/usr/src

  mv "$pkgdir"/etc/dbus-1/system.d "$pkgdir"/usr/share/dbus-1/system.d

  install -Dm644 ../deepin-anything-server.sysusers "$pkgdir/usr/lib/sysusers.d/deepin-anything-server.conf"
}
